Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.faces.el.decorator
Interface BeanDecorator

All Known Implementing Classes:
  AbstractBeanDecorator, SimpleBeanDecorator

    public interface BeanDecorator

Version:
  $Revision: 8784 $
Author:
  Julien Viet

Method Summary
`java.lang.Class` | `getType(java.lang.Object bean, java.lang.Object propertyName)` Return the type of the specified property.
`PropertyValue` | `getValue(java.lang.Object bean, java.lang.Object propertyName)` Return the value of the specified property.
`boolean` | `setValue(java.lang.Object bean, java.lang.Object propertyName, java.lang.Object value)` Set the value of the specified property.

Method Detail

### getType

    java.lang.Class getType(java.lang.Object bean,
                            java.lang.Object propertyName)
                            throws java.lang.IllegalArgumentException

  Return the type of the specified property.

  Parameters:
    `bean` - the decorated bean
    `propertyName` - the property name
  Returns:
    the type of the specified property or null
  Throws:
    `java.lang.IllegalArgumentException` - if the bean is null or the property name is null

### getValue

    PropertyValue getValue(java.lang.Object bean,
                           java.lang.Object propertyName)
                           throws java.lang.IllegalArgumentException

  Return the value of the specified property.

  Parameters:
    `bean` - the decorated bean
    `propertyName` - the property name
  Returns:
    the property value
  Throws:
    `java.lang.IllegalArgumentException` - if the bean is null or the property is null

### setValue

    boolean setValue(java.lang.Object bean,
                     java.lang.Object propertyName,
                     java.lang.Object value)
                     throws java.lang.IllegalArgumentException

  Set the value of the specified property.

  Parameters:
    `bean` - the decorated bean
    `propertyName` - the property name
    `value` - the new property value
  Returns:
    true if the property was succesfully set
  Throws:
    `java.lang.IllegalArgumentException` - if the bean is null or the property name is null

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD